 # Read the documentation: https://symfony.com/doc/master/bundles/FOSRestBundle/index.html
fos_rest:

    body_converter:
            enabled: true
            validate: true
            validation_errors_argument: violations
    view:
        formats: { json: true, xml: false, rss: false }
        view_response_listener: true
    serializer:
         serialize_null: true

    body_listener:
            array_normalizer: fos_rest.normalizer.camel_keys

    param_fetcher_listener:  true

    allowed_methods_listener:  true

    routing_loader: false


    format_listener:
        rules:
            - { path: '^/api/v1', priorities: ['json', 'xml'], fallback_format: json, prefer_extension: true }
            - { path: '^/', priorities: [ 'text/html', '*/*'], fallback_format: html, prefer_extension: true }